/// <reference types="node" />
/// <reference types="ws" />
export { crypto, type Crypto, type SubtleCrypto, type AlgorithmIdentifier, type Algorithm, type RsaOaepParams, type BufferSource, type AesCtrParams, type AesCbcParams, type AesGcmParams, type CryptoKey, type KeyAlgorithm, type KeyType, type KeyUsage, type EcdhKeyDeriveParams, type HkdfParams, type HashAlgorithmIdentifier, type Pbkdf2Params, type AesDerivedKeyParams, type HmacImportParams, type JsonWebKey, type RsaOtherPrimesInfo, type KeyFormat, type RsaHashedKeyGenParams, type RsaKeyGenParams, type BigInteger, type EcKeyGenParams, type NamedCurve, type CryptoKeyPair, type AesKeyGenParams, type HmacKeyGenParams, type RsaHashedImportParams, type EcKeyImportParams, type AesKeyAlgorithm, type RsaPssParams, type EcdsaParams } from "@deno/shim-crypto";
import { setInterval, setTimeout } from "@deno/shim-timers";
export { setInterval, setTimeout } from "@deno/shim-timers";
export { WeakRef, type WeakRefConstructor } from "@deno/sham-weakref";
import { Blob } from "isomorphic-blob";
export { Blob } from "isomorphic-blob";
import { Request, Response, Headers } from "isomorphic-undici-ponyfill";
export { Request, Response, Headers } from "isomorphic-undici-ponyfill";
import { WritableStream, TransformStream, ReadableStream, TransformStreamDefaultController, WritableStreamDefaultWriter } from "@sgwilym/isomorphic-streams";
export { WritableStream, TransformStream, ReadableStream, TransformStreamDefaultController, type UnderlyingSink, WritableStreamDefaultWriter } from "@sgwilym/isomorphic-streams";
import { default as WebSocket } from "isomorphic-ws";
export { default as WebSocket } from "isomorphic-ws";
import { TextEncoder, TextDecoder } from "textencoder-ponyfill";
export { TextEncoder, TextDecoder } from "textencoder-ponyfill";
import { URLPattern as URLPattern } from "@sgwilym/urlpattern-polyfill";
export { URLPattern as URLPattern } from "@sgwilym/urlpattern-polyfill";
export declare const dntGlobalThis: Omit<typeof globalThis, "setInterval" | "setTimeout" | "Blob" | "Headers" | "ReadableStream" | "Request" | "Response" | "TextDecoder" | "TextEncoder" | "TransformStream" | "TransformStreamDefaultController" | "WebSocket" | "WritableStream" | "WritableStreamDefaultWriter" | "crypto" | "WeakRef" | "URLPattern"> & {
    crypto: import("@deno/shim-crypto").Crypto;
    setInterval: typeof setInterval;
    setTimeout: typeof setTimeout;
    WeakRef: import("@deno/sham-weakref").WeakRefConstructor;
    Blob: typeof Blob;
    Request: typeof Request;
    Response: typeof Response;
    Headers: typeof Headers;
    WritableStream: typeof WritableStream;
    TransformStream: typeof TransformStream;
    ReadableStream: typeof ReadableStream;
    TransformStreamDefaultController: typeof TransformStreamDefaultController;
    WritableStreamDefaultWriter: typeof WritableStreamDefaultWriter;
    WebSocket: typeof WebSocket;
    TextEncoder: typeof TextEncoder;
    TextDecoder: typeof TextDecoder;
    URLPattern: typeof URLPattern;
};
